/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ReservacionCategoriaDAO;
import com.rjconsultores.ventaboletos.entidad.ReservacionCategoria;
import com.rjconsultores.ventaboletos.service.ReservacionCategoriaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("reservacionCategoriaService")
public class ReservacionCategoriaServiceImpl implements ReservacionCategoriaService {

    @Autowired
    private ReservacionCategoriaDAO reservacionCategoriaDAO;

    public List<ReservacionCategoria> obtenerTodos() {
        return reservacionCategoriaDAO.obtenerTodos();
    }

    public ReservacionCategoria obtenerID(Integer id) {
        return reservacionCategoriaDAO.obtenerID(id);
    }

    @Transactional
    public ReservacionCategoria suscribir(ReservacionCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionCategoriaDAO.suscribir(entidad);
    }

    @Transactional
    public ReservacionCategoria actualizacion(ReservacionCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionCategoriaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ReservacionCategoria entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        reservacionCategoriaDAO.actualizacion(entidad);
    }
}
